Update Subdomain
curl --request PATCH \
--url https://{tenant_name}.{region}.techwolf.ai/taxonomy/subdomains/{subdomain_external_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain_id": "b9734761-eb84-42dc-a79f-5e7b1fe897b7",
"subdomain_name": "Research"
}
'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/taxonomy/subdomains/{subdomain_external_id}"
payload = {
"domain_id": "b9734761-eb84-42dc-a79f-5e7b1fe897b7",
"subdomain_name": "Research"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain_id: 'b9734761-eb84-42dc-a79f-5e7b1fe897b7', subdomain_name: 'Research'})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/taxonomy/subdomains/{subdomain_external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"title": "400 Bad Request",
"description": "The request body was not structured correctly."
}
][
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Subdomains
Update Subdomain
Submit the most up-to-date Subdomain information. Any field that is present will overwrite existing values within the system, while absent fields will be left as is.
Update Subdomain
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique Subdomain ID in your system, consisting of alphanumeric characters, hyphens and underscores.
Body
application/json
Default structure for updating a Subdomain.
The unique ID of a Domain to which this Subdomain is linked, consisting of alphanumeric characters, hyphens and underscores.
Required string length:
1 - 100Pattern:
[a-zA-Z0-9_-]+Example:
"b9734761-eb84-42dc-a79f-5e7b1fe897b7"
Name of the Subdomain.
Required string length:
1 - 255Example:
"Research"
Response
No Content
Was this page helpful?
⌘I